Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455997 - System time is always 2h ahead after reboot.
Summary: System time is always 2h ahead after reboot.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-20 03:14 UTC by Konrad Kosmowski
Modified: 2014-03-17 03:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:05:12 UTC


Attachments (Terms of Use)

Description Konrad Kosmowski 2008-07-20 03:14:08 UTC
Description of problem: I use local time (not UTC) as my system clock. I prefer
it this way. The system seems to assume that UTC clock is always on. I've set
the system like always. /etc/localtime is a copy of
/usr/share/zoneinfo/Europe/Warsaw. My /etc/sysconfig/clock file is:

  ZONE="Europe/Warsaw"
  UTC=false
  ARC=false

Still each time I boot/reboot system time gets two hours ahead and also
incorrect (two hours ahead) time is stored in hwclock.

Steps to Reproduce:

1. Install Fedora 9, set the clock as local (not UTC).
2. After instalation reboot the system.
  
Actual results: Each time the system clock goes 2 hours ahead and each time the
wrong time is stored to hardware clock.

Expected results: Get the proper time.

Additional info: I've noticed that /etc/rc.sysinit is different that in previous
(Fedora 8) release and does not contain the code regarding clock. I think it has
some something to do with upstart introduction. The system is Eee PC 900. I
haven't checked that issue on other systems.

Comment 1 Bill Nottingham 2008-07-22 14:46:28 UTC
What kernel are you using? Have you rebuilt it with a custom configuration?

Comment 2 Konrad Kosmowski 2008-07-22 15:19:08 UTC
I am using stock Fedora kernel. The version that came with installation since I
haven't managed to make madwifi work with newer versions.

Newertheles it is clearly timezone/init issue.

Additionally yesterday everything was fine but the system (BIOS) clock. It looks
like I own borked Eee PC or it is a feature of this hardware.

I'll be watching the issue and I'll update if I find something new.

Comment 3 Bill Nottingham 2008-07-22 15:28:57 UTC
The reason I asked about the kernel is to check if you're running into bug
447019 - if you've not rebuilt your kernel, or aren't using a Fedora 8 kernel,
that's unlikely to be what you're seeing. (You could try the patch anyways, of
course.)

Comment 4 Bug Zapper 2009-06-10 02:08:50 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 16:05:12 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.